#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './messagestablebase.ui'
**
** Created by User Interface Compiler
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "messagestablebase.h"

#include <qvariant.h>
#include <qheader.h>
#include <klistview.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "klistview.h"

/*
 *  Constructs a MessageTableBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
MessageTableBase::MessageTableBase( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "MessageTableBase" );
    MessageTableBaseLayout = new QVBoxLayout( this, 11, 6, "MessageTableBaseLayout"); 

    mMessageTable = new KListView( this, "mMessageTable" );
    mMessageTable->addColumn( tr2i18n( "Time" ) );
    mMessageTable->addColumn( tr2i18n( "Sender" ) );
    mMessageTable->addColumn( tr2i18n( "Message text" ) );
    mMessageTable->setMouseTracking( FALSE );
    mMessageTable->setFocusPolicy( KListView::TabFocus );
    mMessageTable->setFrameShape( KListView::WinPanel );
    mMessageTable->setLineWidth( 1 );
    mMessageTable->setProperty( "selectionMode", "Extended" );
    mMessageTable->setAllColumnsShowFocus( TRUE );
    mMessageTable->setShowSortIndicator( TRUE );
    mMessageTable->setItemMargin( 1 );
    mMessageTable->setRootIsDecorated( FALSE );
    mMessageTable->setResizeMode( KListView::NoColumn );
    mMessageTable->setTreeStepSize( 0 );
    mMessageTable->setItemsMovable( FALSE );
    mMessageTable->setItemsRenameable( FALSE );
    mMessageTable->setDragEnabled( FALSE );
    mMessageTable->setDropVisualizer( FALSE );
    mMessageTable->setDropVisualizerWidth( 4 );
    MessageTableBaseLayout->addWidget( mMessageTable );

    layout2 = new QHBoxLayout( 0, 0, 6, "layout2"); 
    Horizontal_Spacing2 = new QSpacerItem( 280, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout2->addItem( Horizontal_Spacing2 );

    configureButton = new QPushButton( this, "configureButton" );
    layout2->addWidget( configureButton );

    buttonOk = new QPushButton( this, "buttonOk" );
    buttonOk->setAutoDefault( TRUE );
    buttonOk->setDefault( TRUE );
    layout2->addWidget( buttonOk );
    MessageTableBaseLayout->addLayout( layout2 );
    languageChange();
    resize( QSize(511, 282).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( buttonOk, SIGNAL( clicked() ), this, SLOT( accept() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
MessageTableBase::~MessageTableBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void MessageTableBase::languageChange()
{
    setCaption( tr2i18n( "Last messages" ) );
    mMessageTable->header()->setLabel( 0, tr2i18n( "Time" ) );
    mMessageTable->header()->setLabel( 1, tr2i18n( "Sender" ) );
    mMessageTable->header()->setLabel( 2, tr2i18n( "Message text" ) );
    configureButton->setText( tr2i18n( "Con&figure MetaMonitor" ) );
    configureButton->setAccel( QKeySequence( tr2i18n( "Alt+F" ) ) );
    buttonOk->setText( tr2i18n( "C&lose" ) );
    buttonOk->setAccel( QKeySequence( tr2i18n( "Alt+L" ) ) );
}

#include "messagestablebase.moc"
